@setlocal
@REM https://github.com/geoffmcl/scripts
@set TMPREPO=git@github.com:geoffmcl/scripts.git
@set TMPDIR=scripts

@if NOT EXIST %TMPDIR%\nul goto DOCLONE

@cd %TMPDIR%
call git status

@echo Do update... only Ctlr+C aborts...
@pause

call git pull

@goto END

:DOCLONE
@echo In DIRECTORY %CD%
@echo New clone on %TMPREPO% to %TMPDIR%
@echo *** CONTINUE? *** Only Ctlr+C aborts...
@pause

call git clone %TMPREPO% %TMPDIR%

@goto END
:NOROOT
@echo Can NOT locate root %TMPROOT%! *** FIX ME ***
@goto END

:END
